package com.ics.admin.service.meeting;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ics.admin.domain.meeting.Reservation;
import com.ics.admin.domain.meeting.ReservationPerson;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 预约参观人员Service接口
 * 
 * @author chen
 * @date 2024-03-06
 */
public interface IReservationPersonService extends IService<ReservationPerson> {
    /**
     * 查询预约参观人员
     * 
     * @param id 预约参观人员ID
     * @return 预约参观人员
     */
    ReservationPerson selectReservationPersonById(Long id);

    /**
     * 查询预约参观人员列表
     * 
     * @param reservationPerson 预约参观人员
     * @return 预约参观人员集合
     */
    List<ReservationPerson> selectReservationPersonList(ReservationPerson reservationPerson);

    /**
     * 新增预约参观人员
     * 
     * @param reservationPerson 预约参观人员
     * @return 结果
     */
    int insertReservationPerson(ReservationPerson reservationPerson);

    /**
     * 修改预约参观人员
     * 
     * @param reservationPerson 预约参观人员
     * @return 结果
     */
    int updateReservationPerson(ReservationPerson reservationPerson);

    /**
     * 批量删除预约参观人员
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteReservationPersonByIds(String ids);

    /**
     * 删除预约参观人员信息
     * 
     * @param id 预约参观人员ID
     * @return 结果
     */
    int deleteReservationPersonById(Long id);

    ReservationPerson isVisitor(ReservationPerson reservationPerson);

    IPage<Reservation> selectListByParticipantId(Long userId,Long parkId, Integer page, Integer limit);

    List<ReservationPerson> selectListByReservationId(Long reservationId);

}
